import 'package:electronic_assistant/base/base_page.dart';
import 'package:electronic_assistant/resource/string.gen.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';

import '../../../resource/assets.gen.dart';
import '../../../resource/colors.gen.dart';

class TaskSearchPage extends BasePage {
  const TaskSearchPage({super.key});

  @override
  Widget buildBody(BuildContext context) {
    return Column(
      children: [
        Row(
          children: [
            Expanded(
                child: Padding(
              padding: EdgeInsets.only(left: 12.w),
              child: CupertinoSearchTextField(
                placeholder: StringName.searchHint.tr,
                prefixIcon:
                    ImageIcon(Assets.images.iconSearch.provider(), size: 20.w),
                backgroundColor: const Color(0xFFF6F6F6),
                style: TextStyle(
                    fontSize: 14.w, color: ColorName.primaryTextColor),
                placeholderStyle:
                    TextStyle(fontSize: 14.w, color: const Color(0xFFAFAFAF)),
              ),
            )),
            TextButton(
                onPressed: () {
                  Get.back();
                },
                child: Text(StringName.cancel.tr,
                    style: TextStyle(
                        fontSize: 14.w, color: ColorName.secondaryTextColor))),
          ],
        ),
      ],
    );
  }
}
